Debian Bug report logs - #483918
alsa-driver - binary only code

version graph

Package: alsa-driver; Maintainer for alsa-driver is Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>;

Reported by: Bastian Blank <waldi@debian.org>

Date: Sun, 1 Jun 2008 08:06:02 UTC

Severity: serious

Found in version 1.0.16-1.1

Fixed in version alsa-driver/1.0.17.dfsg-1

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#483918; Package alsa-driver. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: alsa-driver - binary only code
Date: Sun, 1 Jun 2008 09:58:20 +0200
Package: alsa-driver
Version: 1.0.16-1.1
Severity: serious

alsa-driver still ships files which have beed removed from the Debian
Linux packages because of DFSG violations.

This are at least:
* alsa-kernel/pci/cs46xx/cs46xx_image.h
* alsa-kernel/pci/cs46xx/imgs
* alsa-kernel/pci/korg1212/korg1212-firmware.h
* alsa-kernel/pci/maestro3.c
* alsa-kernel/pci/ymfpci/ymfpci_image.h

Bastian

-- 
Killing is stupid; useless!
		-- McCoy, "A Private Little War", stardate 4211.8




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#483918; Package alsa-driver. Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 483918@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: 483918-submitter@bugs.debian.org
Cc: 483918@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#483918: alsa-driver - binary only code
Date: Mon, 2 Jun 2008 23:34:17 +0200
On Sun, 01 Jun 2008 the mental interface of
Bastian Blank told:

> Package: alsa-driver
> Version: 1.0.16-1.1
> Severity: serious
> 
> alsa-driver still ships files which have beed removed from the Debian
> Linux packages because of DFSG violations.
> 
> This are at least:
> * alsa-kernel/pci/cs46xx/cs46xx_image.h
> * alsa-kernel/pci/cs46xx/imgs
> * alsa-kernel/pci/korg1212/korg1212-firmware.h
> * alsa-kernel/pci/maestro3.c
> * alsa-kernel/pci/ymfpci/ymfpci_image.h

I've had a quick check on these files and didn't found a clue about
any licences? What sort of violation do they have? If we have to
remove the files from source none maestro3|cs46xx|ympfi card will
work.

Elimar

-- 
  On the keyboard of life you have always
  to keep a finger at the escape key;-)




Message sent on to Bastian Blank <waldi@debian.org>:
Bug#483918. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#483918; Package alsa-driver. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #18 received at 483918@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Elimar Riesebieter <riesebie@lxtec.de>, 483918@bugs.debian.org
Subject: Re: Bug#483918: [Pkg-alsa-devel] Bug#483918: alsa-driver - binary only code
Date: Tue, 3 Jun 2008 10:12:22 +0200
On Mon, Jun 02, 2008 at 11:34:17PM +0200, Elimar Riesebieter wrote:
> On Sun, 01 Jun 2008 the mental interface of
> Bastian Blank told:
> > alsa-driver still ships files which have beed removed from the Debian
> > Linux packages because of DFSG violations.
> I've had a quick check on these files and didn't found a clue about
> any licences? What sort of violation do they have? If we have to
> remove the files from source none maestro3|cs46xx|ympfi card will
> work.

I did not say "license", I'd say "DFSG violation". It violates against
DFSG §2, see http://www.debian.org/vote/2006/vote_004.

Bastian

-- 
Change is the essential process of all existence.
		-- Spock, "Let That Be Your Last Battlefield", stardate 5730.2




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#483918; Package alsa-driver. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #23 received at 483918@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Elimar Riesebieter <riesebie@lxtec.de>
Cc: 483918-submitter@bugs.debian.org, 483918@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#483918: alsa-driver - binary only code
Date: Wed, 18 Jun 2008 18:57:41 +0200
On Mon, Jun 02, 2008 at 11:34:17PM +0200, Elimar Riesebieter wrote:
> On Sun, 01 Jun 2008 the mental interface of
> Bastian Blank told:
> 
> > Package: alsa-driver
> > Version: 1.0.16-1.1
> > Severity: serious
> > 
> > alsa-driver still ships files which have beed removed from the Debian
> > Linux packages because of DFSG violations.
> > 
> > This are at least:
> > * alsa-kernel/pci/cs46xx/cs46xx_image.h
> > * alsa-kernel/pci/cs46xx/imgs
> > * alsa-kernel/pci/korg1212/korg1212-firmware.h
> > * alsa-kernel/pci/maestro3.c
> > * alsa-kernel/pci/ymfpci/ymfpci_image.h
> 
> I've had a quick check on these files and didn't found a clue about
> any licences? What sort of violation do they have? If we have to
> remove the files from source none maestro3|cs46xx|ympfi card will
> work.

We could add the affected firmwares to the firmware-nonfree source
package and let it build a new binary package firmware-alsa?

Cheers,
        Moritz




Message sent on to Bastian Blank <waldi@debian.org>:
Bug#483918. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#483918; Package alsa-driver. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #31 received at 483918@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>, 483918@bugs.debian.org
Cc: Elimar Riesebieter <riesebie@lxtec.de>
Subject: Re: Bug#483918: [Pkg-alsa-devel] Bug#483918: alsa-driver - binary only code
Date: Wed, 18 Jun 2008 19:54:37 +0200
On Wed, Jun 18, 2008 at 06:57:41PM +0200, Moritz Muehlenhoff wrote:
> We could add the affected firmwares to the firmware-nonfree source
> package and let it build a new binary package firmware-alsa?

Sure. Send patches.

Bastian

-- 
Those who hate and fight must stop themselves -- otherwise it is not stopped.
		-- Spock, "Day of the Dove", stardate unknown




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#483918; Package alsa-driver. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #36 received at 483918@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Bastian Blank <waldi@debian.org>
Cc: 483918@bugs.debian.org, Elimar Riesebieter <riesebie@lxtec.de>
Subject: Re: Bug#483918: [Pkg-alsa-devel] Bug#483918: alsa-driver - binary only code
Date: Wed, 18 Jun 2008 21:35:28 +0200
On Wed, Jun 18, 2008 at 07:54:37PM +0200, Bastian Blank wrote:
> On Wed, Jun 18, 2008 at 06:57:41PM +0200, Moritz Muehlenhoff wrote:
> > We could add the affected firmwares to the firmware-nonfree source
> > package and let it build a new binary package firmware-alsa?
> 
> Sure. Send patches.

I'll see what I can do.

Wrt to alsa-source, what's the point of the package anyway? This
might've been useful in Linux 2.4 days, but nowadays all drivers
should be present in the stock kernel package?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#483918; Package alsa-driver. Full text and rfc822 format available.

Acknowledgement sent to Jordi Mallach <jordi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #41 received at 483918@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>, 483918@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#483918: Bug#483918: alsa-driver - binary only code
Date: Wed, 25 Jun 2008 09:14:09 +0200
On Wed, Jun 18, 2008 at 09:35:28PM +0200, Moritz Muehlenhoff wrote:
> Wrt to alsa-source, what's the point of the package anyway? This
> might've been useful in Linux 2.4 days, but nowadays all drivers
> should be present in the stock kernel package?

Many people get their newer hardware working thanks to updating their
drivers to the latest ALSA release, while the linux-image drivers remain
silent. It is a package we need to keep.

-- 
Jordi Mallach Pérez  --  Debian developer     http://www.debian.org/
jordi@sindominio.net     jordi@debian.org     http://www.sindominio.net/
GnuPG public key information available at http://oskuro.net/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#483918; Package alsa-driver. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #46 received at 483918@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Jordi Mallach <jordi@debian.org>
Cc: jmm@inutil.org, 483918@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#483918: Bug#483918: alsa-driver - binary only code
Date: Thu, 26 Jun 2008 22:47:41 +0200
On Wed, Jun 25, 2008 at 09:14:09AM +0200, Jordi Mallach wrote:
> On Wed, Jun 18, 2008 at 09:35:28PM +0200, Moritz Muehlenhoff wrote:
> > Wrt to alsa-source, what's the point of the package anyway? This
> > might've been useful in Linux 2.4 days, but nowadays all drivers
> > should be present in the stock kernel package?
> 
> Many people get their newer hardware working thanks to updating their
> drivers to the latest ALSA release, while the linux-image drivers remain
> silent. It is a package we need to keep.

There's a patch by David Woodhouse, which fixes several drivers to
use request_firmware(). I'll look into submitting patches for
linux-2.6 once 2.6.26 is in unstable, so that we can add support
to firmware-nonfree for the ALSA drivers.

Since TTBOMK the affected drivers in alsa-driver are covered by the
kernel ALSA drivers we should just prune them from the alsa-driver
tarball, I suppose.

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#483918; Package alsa-driver. Full text and rfc822 format available.

Acknowledgement sent to <marcos.marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #51 received at 483918@bugs.debian.org (full text, mbox):

From: <marcos.marado@sonae.com>
To: <483918@bugs.debian.org>
Subject: 2.6.26
Date: Thu, 28 Aug 2008 09:48:09 +0100
Hi there, 2.6.26 is on unstable for quite a while... Any news on this?

Best regards,
-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#483918; Package alsa-driver. Full text and rfc822 format available.

Acknowledgement sent to 燦星旅遊 楊禮銓 <cheung@startravel.com.tw>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #56 received at 483918@bugs.debian.org (full text, mbox):

From: 燦星旅遊 楊禮銓 <cheung@startravel.com.tw>
To: marcos.marado@sonae.com, 483918@bugs.debian.org
Subject: Re: Bug#483918: 2.6.26
Date: Thu, 28 Aug 2008 17:06:18 +0800
I just installed linux-image-2.6-xen-686 from lenny sources.list.
But it does not work....

error message:
(Xen) Xen is relinquishing VGA console.

於 四,2008-08-28 於 09:48 +0100,marcos.marado@sonae.com 提到:
> Hi there, 2.6.26 is on unstable for quite a while... Any news on this?
> 
> Best regards,
> -- 
> Marcos Marado
> 
> 
> 





Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#483918; Package alsa-driver. Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #61 received at 483918@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: marcos.marado@sonae.com, 483918@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#483918: 2.6.26
Date: Thu, 28 Aug 2008 19:54:05 +0200
On Thu, 28 Aug 2008 the mental interface of
marcos.marado@sonae.com told:

> Hi there, 2.6.26 is on unstable for quite a while... Any news on this?

alsa-driver 1.0.17.dfsg is prepared in svn [0]. we're not sure wheather it
makes sense to release a seperate 1.0.16 release. alsa-lib 1.0.17,
which resides in experimental, has an API change which will affect
many dependend packages. Testing is still frozen, at the moment
there ist no chance to get 1.0.17 in, though.

[0] http://svn.debian.org/wsvn/pkg-alsa/trunk/?rev=2088&sc=1

Elimar

-- 
  The path to source is always uphill!
                                -unknown-




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#483918; Package alsa-driver. Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <Marcos.Marado@sonae.com>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #66 received at 483918@bugs.debian.org (full text, mbox):

From: Marcos Marado <Marcos.Marado@sonae.com>
To: Elimar Riesebieter <riesebie@lxtec.de>
Cc: "483918@bugs.debian.org" <483918@bugs.debian.org>
Subject: Re: [Pkg-alsa-devel] Bug#483918: 2.6.26
Date: Thu, 28 Aug 2008 19:02:00 +0100
Hi there,

On Thursday 28 August 2008 18:54:05 Elimar Riesebieter wrote:
> On Thu, 28 Aug 2008 the mental interface of
>
> marcos.marado@sonae.com told:
> > Hi there, 2.6.26 is on unstable for quite a while... Any news on this?
>
> alsa-driver 1.0.17.dfsg is prepared in svn [0]. we're not sure wheather it
> makes sense to release a seperate 1.0.16 release. alsa-lib 1.0.17,
> which resides in experimental, has an API change which will affect
> many dependend packages. Testing is still frozen, at the moment
> there ist no chance to get 1.0.17 in, though.

As I understand, you're saying that the fix will go in 1.0.17, but 1.0.17 
won't get into lenny since we're in freeze. If that's so, let me remind you 
that this is being considered an RC bug for lenny. 

If I misunderstood, sorry O:-)

-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#483918; Package alsa-driver. Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #71 received at 483918@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Marcos Marado <Marcos.Marado@sonae.com>
Cc: "483918@bugs.debian.org" <483918@bugs.debian.org>
Subject: Re: [Pkg-alsa-devel] Bug#483918: 2.6.26
Date: Thu, 28 Aug 2008 20:24:13 +0200
[Message part 1 (text/plain, inline)]
On Thu, 28 Aug 2008 the mental interface of
Marcos Marado told:

> Hi there,
> 
> On Thursday 28 August 2008 18:54:05 Elimar Riesebieter wrote:
> > On Thu, 28 Aug 2008 the mental interface of
> >
> > marcos.marado@sonae.com told:
> > > Hi there, 2.6.26 is on unstable for quite a while... Any news on this?
> >
> > alsa-driver 1.0.17.dfsg is prepared in svn [0]. we're not sure wheather it
> > makes sense to release a seperate 1.0.16 release. alsa-lib 1.0.17,
> > which resides in experimental, has an API change which will affect
> > many dependend packages. Testing is still frozen, at the moment
> > there ist no chance to get 1.0.17 in, though.
> 
> As I understand, you're saying that the fix will go in 1.0.17, but 1.0.17 
> won't get into lenny since we're in freeze. If that's so,

Not really, we can distribute only alsa-driver_1.0.17.dfsg in lenny
beside the 1.0.16 stuff. But this isn't testet very well. Anyway,
you're welcome to prepare 1.0.16.dfsg for a lenny branch ;-) [0]

> let me remind you 
> that this is being considered an RC bug for lenny. 
> 
> If I misunderstood, sorry O:-)

Don't worry ;)

[0] http://lists.alioth.debian.org/pipermail/pkg-alsa-devel/2008-August/006005.html

Elimar

-- 
  It's a good thing we don't get all 
  the government we pay for.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#483918; Package alsa-driver. Full text and rfc822 format available.

Acknowledgement sent to Jordi Mallach <jordi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #76 received at 483918@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: pkg-alsa-devel@lists.alioth.debian.org
Cc: 483918@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] alsa-driver 1.0.16
Date: Thu, 28 Aug 2008 20:46:48 +0200
[Message part 1 (text/plain, inline)]
Elimar,

On Thu, Aug 28, 2008 at 08:01:03PM +0200, Elimar Riesebieter wrote:
> at the moment I am very busy and the bug management is very inertial
> from my side. Could one please point me on how to create a
> alsa-driver_1.0.16.dfsg package in a svn lenny branch.? Or could the
> prepared alsa-driver_1.0.17.dfsg package exist beside the 1.0.16
> libs and tools? Any help from the _team_ would be *very helpful*!

Would you foresee any problem with having alsa-source 1.0.17 and alsa-lib
1.0.16 in lenny? I don't, and in fact I think having 1.0.17 would be better as
it would match the ALSA in 2.6.26 (it would actually compile).

Furthermore, is there any problem with having kernel 2.6.26 (which includes
alsa drivers version 1.0.17) and alsa-lib 1.0.16 in lenny as we have now, or
would it be desirable to have 1.0.17 just to match the kernel version? (I'm
thinking about configuration file missmatches and so on, mostly).

Regarding creating a branch, it should be as easy as a cp of trunk to
branches/lenny using the revision with the last changes to 1.0.16, and I'll be
able to handle that, don't worry.

Sorry for the lack of action, I'm also quite a bit busy and regret that need to
be pinged by you constantly to take action. :/

Depending on what you think about these questions, I'll do something or the
other.

Jordi
-- 
Jordi Mallach Pérez  --  Debian developer     http://www.debian.org/
jordi@sindominio.net     jordi@debian.org     http://www.sindominio.net/
GnuPG public key information available at http://oskuro.net/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#483918; Package alsa-driver. Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #81 received at 483918@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Jordi Mallach <jordi@debian.org>, pkg-alsa-devel@lists.alioth.debian.org, 483918@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] alsa-driver 1.0.16
Date: Fri, 29 Aug 2008 21:20:34 +0200
Hello Jordi,

On Thu, 28 Aug 2008 the mental interface of
Jordi Mallach told:

> Elimar,
> 
> On Thu, Aug 28, 2008 at 08:01:03PM +0200, Elimar Riesebieter wrote:
> > at the moment I am very busy and the bug management is very inertial
> > from my side. Could one please point me on how to create a
> > alsa-driver_1.0.16.dfsg package in a svn lenny branch.? Or could the
> > prepared alsa-driver_1.0.17.dfsg package exist beside the 1.0.16
> > libs and tools? Any help from the _team_ would be *very helpful*!
> 
> Would you foresee any problem with having alsa-source 1.0.17 and alsa-lib
> 1.0.16 in lenny? I don't, and in fact I think having 1.0.17 would be better as
> it would match the ALSA in 2.6.26 (it would actually compile).

ACK

> Furthermore, is there any problem with having kernel 2.6.26 (which includes
> alsa drivers version 1.0.17) and alsa-lib 1.0.16 in lenny as we have now, or
> would it be desirable to have 1.0.17 just to match the kernel version? (I'm
> thinking about configuration file missmatches and so on, mostly).

I didn't recognized any missconf or similar at
CM8738, EMU10k1, ES1371, snd_aoa_codec_tas and intel-amd64.

> Regarding creating a branch, it should be as easy as a cp of trunk to
> branches/lenny using the revision with the last changes to 1.0.16, and I'll be
> able to handle that, don't worry.

If 1.0.17.dfsg, do we really need a lenny branch? Let's distribute
as usual ;)

> 
> Sorry for the lack of action, I'm also quite a bit busy and regret that need to
> be pinged by you constantly to take action. :/

Thanks.

> Depending on what you think about these questions, I'll do something or the
> other.

I'll extend the prepared 1.0.17.dfsg with some more fixes tommorow.
Let us upload alsa-driver 1.0.17 to sid then.

HANN
Elimar

-- 
    .~.
    /V\   L   I   N   U   X
   /( )\ >Phear the Penguin<
   ^^-^^




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#483918; Package alsa-driver. Full text and rfc822 format available.

Acknowledgement sent to Jordi Mallach <jordi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #86 received at 483918@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: pkg-alsa-devel@lists.alioth.debian.org, 483918@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] alsa-driver 1.0.16
Date: Fri, 29 Aug 2008 21:46:17 +0200
On Fri, Aug 29, 2008 at 09:20:34PM +0200, Elimar Riesebieter wrote:
> I didn't recognized any missconf or similar at
> CM8738, EMU10k1, ES1371, snd_aoa_codec_tas and intel-amd64.

Ok. Let's try this...

> If 1.0.17.dfsg, do we really need a lenny branch? Let's distribute
> as usual ;)

No, we wouldn't require one.

> > Depending on what you think about these questions, I'll do something or the
> > other.
> I'll extend the prepared 1.0.17.dfsg with some more fixes tommorow.
> Let us upload alsa-driver 1.0.17 to sid then.

Ok. I won't be available for upload until Sunday.

-- 
Jordi Mallach Pérez  --  Debian developer     http://www.debian.org/
jordi@sindominio.net     jordi@debian.org     http://www.sindominio.net/
GnuPG public key information available at http://oskuro.net/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#483918; Package alsa-driver. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #91 received at 483918@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: Jordi Mallach <jordi@debian.org>, 483918@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#483918: Bug#483918: alsa-driver - binary only code
Date: Fri, 29 Aug 2008 22:38:02 +0200
On Thu, Jun 26, 2008 at 10:47:41PM +0200, Moritz Muehlenhoff wrote:
> On Wed, Jun 25, 2008 at 09:14:09AM +0200, Jordi Mallach wrote:
> > On Wed, Jun 18, 2008 at 09:35:28PM +0200, Moritz Muehlenhoff wrote:
> > > Wrt to alsa-source, what's the point of the package anyway? This
> > > might've been useful in Linux 2.4 days, but nowadays all drivers
> > > should be present in the stock kernel package?
> > 
> > Many people get their newer hardware working thanks to updating their
> > drivers to the latest ALSA release, while the linux-image drivers remain
> > silent. It is a package we need to keep.
> 
> There's a patch by David Woodhouse, which fixes several drivers to
> use request_firmware(). I'll look into submitting patches for
> linux-2.6 once 2.6.26 is in unstable, so that we can add support
> to firmware-nonfree for the ALSA drivers.

I'm on vacation soon and won't have time for this.

Cheers,
        Moritz




Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #96 received at 483918-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 483918-close@bugs.debian.org
Subject: Bug#483918: fixed in alsa-driver 1.0.17.dfsg-1
Date: Sun, 31 Aug 2008 19:17:03 +0000
Source: alsa-driver
Source-Version: 1.0.17.dfsg-1

We believe that the bug you reported is fixed in the latest version of
alsa-driver, which is due to be installed in the Debian FTP archive:

alsa-base_1.0.17.dfsg-1_all.deb
  to pool/main/a/alsa-driver/alsa-base_1.0.17.dfsg-1_all.deb
alsa-driver_1.0.17.dfsg-1.diff.gz
  to pool/main/a/alsa-driver/alsa-driver_1.0.17.dfsg-1.diff.gz
alsa-driver_1.0.17.dfsg-1.dsc
  to pool/main/a/alsa-driver/alsa-driver_1.0.17.dfsg-1.dsc
alsa-driver_1.0.17.dfsg.orig.tar.gz
  to pool/main/a/alsa-driver/alsa-driver_1.0.17.dfsg.orig.tar.gz
alsa-source_1.0.17.dfsg-1_all.deb
  to pool/main/a/alsa-driver/alsa-source_1.0.17.dfsg-1_all.deb
linux-sound-base_1.0.17.dfsg-1_all.deb
  to pool/main/a/alsa-driver/linux-sound-base_1.0.17.dfsg-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 483918@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated alsa-driver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 31 Aug 2008 20:42:15 +0200
Source: alsa-driver
Binary: linux-sound-base alsa-base alsa-source
Architecture: source all
Version: 1.0.17.dfsg-1
Distribution: unstable
Urgency: medium
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 alsa-base  - ALSA driver configuration files
 alsa-source - ALSA driver sources
 linux-sound-base - base package for ALSA and OSS sound systems
Closes: 366342 401780 405678 467421 483918 484441 490710 491551 491576 491755 493543 493552 496635 496637
Changes: 
 alsa-driver (1.0.17.dfsg-1) unstable; urgency=medium
 .
   * New upstream release.
     - closes: #401780, no sound with VIA 8235
     - closes: #467421, FTBFS timer.c
     - closes: #490710, fails to compile with kernel-source-2.6.25-2
     - closes: #493543, please update to version 1.0.17
     - closes: #484441, Headphone jacks on nVidia MCP67 laptops do not work
     - closes: #491576, Please package 1.0.17
 .
   [ Elimar Riesebieter ]
   * Removed because of DFSG violations:
     - alsa-kernel/pci/cs46xx/cs46xx_image.h
     - alsa-kernel/pci/cs46xx/imgs
     - alsa-kernel/pci/korg1212/korg1212-firmware.h
     - alsa-kernel/pci/maestro3.c
     - alsa-kernel/pci/ymfpci/ymfpci_image.h
     (closes: #483918)
   * Update of swedish debconf translation. Thanks brother. (closes: #491755)
   * Fixed typo in ALSA-module-list. Thanks Dan Chen. (closes: #491551)
   * /dev/snd/seq for AC97 alsa driver. Thanks Dan Chen. (closes: #366342)
   * Reworked alsa-base.README:Debian. Thanks Luca Capello.
     (closes: #496635, #496637)
   * Corrected debhelper version mismatch in alsa-source. Thanks Joe Nahmias.
     (closes: 493552)
   * Switched to debhelper 7.
   * Bumped Standards-Version to 3.8.0. No changes.
   * Bumped watchfile version to 3.
   * Added dversionmangle to watchfile.
   * Added remove_maestro3.patch to cleanup pci/Makefile
   * module-assistant and linux-header are recommended since 1.0.16. Forgot to
     (closes: #405678)
 .
   [ Jordi Mallach ]
   * Update long descriptions for all packages.
Checksums-Sha1: 
 28e727f459f4e85a043083423ba959351b6a75a0 1394 alsa-driver_1.0.17.dfsg-1.dsc
 173f9236905730124b366e213b707d183b0a2b13 3505810 alsa-driver_1.0.17.dfsg.orig.tar.gz
 110576e480dac42525962c8fdc082e06643dc99d 184479 alsa-driver_1.0.17.dfsg-1.diff.gz
 c708fde2bc1d44e1044518ecbc9c84add444b0dc 26904 linux-sound-base_1.0.17.dfsg-1_all.deb
 dfcd791b9eb5f9da2056d64d0f8f57d49eaf4bf6 219910 alsa-base_1.0.17.dfsg-1_all.deb
 7d2e0d46b2152ad7039ea18dcb2ee431d813269e 2967108 alsa-source_1.0.17.dfsg-1_all.deb
Checksums-Sha256: 
 b27125f6e797dcd4f8f736879d0f0f3921ae458d0308cc333385e21907bc3787 1394 alsa-driver_1.0.17.dfsg-1.dsc
 a1594f158da44fe82a4dd7ffded561a1b7468c7887c8c403d2a0d091b112da9e 3505810 alsa-driver_1.0.17.dfsg.orig.tar.gz
 a5de3cbe0d95d0861d1556ab363cf678fc2d3eace6abbad94f453c5b82acf11e 184479 alsa-driver_1.0.17.dfsg-1.diff.gz
 3d13dd98224b79ea00d618fad766d3276b4c9624cf4ad8b5f1121916464c5953 26904 linux-sound-base_1.0.17.dfsg-1_all.deb
 c516806599319cdb04c20018f52e1b1dfd19613aa3243cf9d75a96a03a68e74a 219910 alsa-base_1.0.17.dfsg-1_all.deb
 3bb3f91a861d59e1c7777c3b2416f6f257fd42cce95bce10a5adbd3918f3e5aa 2967108 alsa-source_1.0.17.dfsg-1_all.deb
Files: 
 0848ad3c45127baa8466162a3b32c47a 1394 sound optional alsa-driver_1.0.17.dfsg-1.dsc
 fa07adbcf5ec046e656ef2df273c7b14 3505810 sound optional alsa-driver_1.0.17.dfsg.orig.tar.gz
 f5b90a51ab97daf153feedb1b3ba669d 184479 sound optional alsa-driver_1.0.17.dfsg-1.diff.gz
 face10b1f88a9dd85612f0a6a5bfb3e9 26904 sound optional linux-sound-base_1.0.17.dfsg-1_all.deb
 910e853a006e010bc442702b208f08db 219910 sound optional alsa-base_1.0.17.dfsg-1_all.deb
 8036b78fa00186bc8065c274db869f07 2967108 sound optional alsa-source_1.0.17.dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAki66u4ACgkQJYSUupF6Il4lLQCfWdpQ7ohIL0tKQd5vC7nyIFiz
izoAoLz5gAGTPwi7Unp06y+zfPb+sWw1
=ZLql
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 29 Sep 2008 07:27:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 17:06:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.